<?php

$items = $block->getProductCollection();
$_imagehelper = $this->helper('Magento\Catalog\Helper\Image');
$image = 'product_base_image';
$_hideCartHelper = $this->helper('Alogic\Customtheme\Helper\Data');
$isCartDisabled = $_hideCartHelper->getIsCartDisabled();
$total = $items->count();
$class1 = '';
$class2 = '';
if($total == 2){
$class1 = 'col-lg-6 col-md-6 col-lg-offset-3 col-md-offset-3 ';
$class2 = 'col-lg-6 col-md-6 col-sm-6 col-xs-6';
}elseif ($total == 4) {
  $class1 = '';
  $class2 = 'col-lg-3 col-md-3 col-sm-6 col-xs-6';
}elseif ($total == 3) {
    $class1 = '';
    $class2 = 'col-lg-3 col-md-3 col-sm-3 col-xs-3';
}elseif($total = 1) {
  $class1 = 'col-lg-10 col-md-10 col-sm-10 col-xs-10 col-lg-offset-1 col-md-offset-1 col-sm-offset-1 col-xs-offset-1';
  $class2 = 'col-lg-4 col-md-4 col-sm-6 col-xs-10 col-lg-offset-4 col-md-offset-4 col-sm-offset-3 col-xs-offset-1';
}else{
  $class1 = 'col-lg-4 col-md-4 col-lg-offset-4 col-md-offset-4';
  $class2 = '';
}
?>

<div class="<?php echo $class1; ?>">
  <?php $i=0; foreach ($items as $_product): $i++; ?>
              <?php $productImage = $_imagehelper->init($_product, $image)->resize(400, 400)->getUrl(); ?>
  <div class="<?php echo $class2; ?>">
    <div class="md_product">
      <a href="<?php echo $_product->getProductUrl() ?>" class="featured-link">
                  <img class="img-responsive" src="<?php echo $productImage ?>" alt="<?php echo $_product->getName(); ?>" />
                  </a>
      <h5>
        <?php
        $pname = (strlen($_product->getName()) > 40) ? substr($_product->getName(),0,40).'...' : $_product->getName(); 
        ?>
        <a href="<?php echo $_product->getProductUrl() ?>" class="featured-product-link" title="Dynamic product title will come">
        <?php echo $pname; ?>
          
        </a>
      </h5>
      
      <?php if (!$isCartDisabled){ ?>
                  <?php if ($_product->isSaleable()){ ?>
                            <div>
                              <?php echo $block->getProductPrice($_product) ?>
                              <?php $postParams = $block->getAddToCartPostParams($_product);?>
                              <form data-role="tocart-form" action="<?php /* @escapeNotVerified */echo $this->getUrl('checkout/cart/add', ['uenc' => $postParams['data']['uenc'], 'product' => $postParams['data']['product']]); ?>" method="post">
                                <input type="hidden" name="product" value="<?php /* @escapeNotVerified */echo $postParams['data']['product']; ?>">
                                <input type="hidden" name="uenc" value="<?php /* @escapeNotVerified */echo $postParams['data']['uenc']; ?>">
                                <input name="form_key" type="hidden" value="<?php echo $this->getFormKey() ?>" />
                                <button class="btn-wrapper-btn btn btn-primary md_btn" type="submit" title="<?php /* @escapeNotVerified */echo __('Add to Cart') ?>">

                                  <span class="text"><?php /* @escapeNotVerified */echo __('Add to Cart') ?></span>
                                </button>
                              </form>
                            </div>
                          <?php }else{ ?>
                            <div class="notify-box">
                              <div class="product alert notify-box-stock overriden">
                                                  <a href="javascript:;" title="Notify me when this product is in stock" class="action alert js-notify-window" data-toggle="modal" data-target="#newsWindow" data-productid="<?php echo $_product->getId(); ?>">Notify me when this product is in stock</a>
                                                </div>
                            </div>
                          <?php }?>
                          <?php }?>
    </div>
              </div>
              <?php endforeach ?>

  
  
</div>

